## edu.stanford.nlp.trees.tregex.gui
Class HighlightUtils

    java.lang.Object
      edu.stanford.nlp.trees.tregex.gui.HighlightUtils

    public class HighlightUtils

extends Object

Method Summary
`static boolean` `addHighlight(JTextField label, MouseEvent mouseEvent1, MouseEvent mouseEvent2)` Highlight the given label from the first mouse event to the second Returns true if the highlight was successful, false otherwise.
`static boolean` `isInHighlight(MouseEvent e, JTextField label, Highlighter h)` Returns true if the given mouse event occurred within a highlight h on label.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addHighlight

    public static boolean addHighlight(JTextField label,
                                       MouseEvent mouseEvent1,
                                       MouseEvent mouseEvent2)

  Highlight the given label from the first mouse event to the second Returns true if the highlight was successful, false otherwise.

### isInHighlight

    public static boolean isInHighlight(MouseEvent e,
                                        JTextField label,
                                        Highlighter h)

  Returns true if the given mouse event occurred within a highlight h on label.

Stanford NLP Group